<template lang="pug">
form.form
	b-table( :columns='columns' )
		template( #empty ) Пока не создано ни одного этапа
	.button.is-fullwidth.is-success
		span.icon
			i.fa-solid.fa-plus
</template>

<script setup>
import { BTable } from "@/components/table"

import { ref, computed, onMounted, onUpdated, watch } from "vue"

import { useFunnelStore } from "@/stores/funnel"

const fs = useFunnelStore()
const funnel = computed(() => fs.funnel)

const columns = [
	{
		label: "Название",
		field: "name"
	},
	{
		field: "delete"
	}
]

const tempFunnel = ref(funnel.value) 


watch(funnel.value, nv => tempFunnel.value = nv)
onMounted(() => tempFunnel.value = funnel.value)
onUpdated(() => tempFunnel.value = funnel.value)
</script>

<style lang="scss" scoped>
.table {
	margin-bottom: 0;
}
.button {
	border-top-left-radius: 0;
	border-top-right-radius: 0;
}
</style>